net.dontdrinkandroot.wicket.model.calendar

## Class CalendarHourModel

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.AbstractChainedModel<Calendar,Integer>
  - - net.dontdrinkandroot.wicket.model.calendar.CalendarHourModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<Integer>, org.apache.wicket.util.io.IClusterable

    public class CalendarHourModel
    extends AbstractChainedModel<Calendar,Integer>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CalendarHourModel(org.apache.wicket.model.IModel<? extends Calendar> parent)`

### Method Summary

Methods
`Integer` `getObject()`
`void` `setObject(Integer object)`

### Methods inherited from class net.dontdrinkandroot.wicket.model.AbstractChainedModel

`detach, getParent, getParentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CalendarHourModel

    public CalendarHourModel(org.apache.wicket.model.IModel<? extends Calendar> parent)

### Method Detail

#### getObject

    public Integer getObject()

#### setObject

    public void setObject(Integer object)

Specified by:
  `setObject` in interface `org.apache.wicket.model.IModel<Integer>`
Overrides:
  `setObject` in class `AbstractChainedModel<Calendar,Integer>`